control.mypoly = create_polygon();
add_vertex(control.mypoly, -58, 3 );
add_vertex(control.mypoly, -40, 3 );
add_vertex(control.mypoly, -22, 17 );
add_vertex(control.mypoly, -16, 29 );
add_vertex(control.mypoly, -10, 30 );
add_vertex(control.mypoly, 8, 30 );
add_vertex(control.mypoly, 32, 4 );
add_vertex(control.mypoly, 56, 4 );
add_vertex(control.mypoly, 62, 0 );
add_vertex(control.mypoly, 61, -28 );
add_vertex(control.mypoly, 57, -30 );
add_vertex(control.mypoly, 45, -29 );
add_vertex(control.mypoly, 39, -20 );
add_vertex(control.mypoly, 27, -20 );
add_vertex(control.mypoly, 21, -28 );
add_vertex(control.mypoly, -15, -30 );
add_vertex(control.mypoly, -21, -27 );
add_vertex(control.mypoly, -27, -19 );
add_vertex(control.mypoly, -33, -18 );
add_vertex(control.mypoly, -45, -30 );
add_vertex(control.mypoly, -57, -30 );
add_vertex(control.mypoly, -62, -25 );
add_vertex(control.mypoly, -61, -1 );


h = create_body(x,y,1,SHAPE_TRIMESH,control.mypoly);



sprite_index=sprite_add('custom/things/auto-sprite.gif',1,false,true,false,false,64,32);

tire1 = instance_create(x-32,y+28, tire);
tire2 = instance_create(x+32,y+28, tire);

tire1.j = create_joint(h, tire1.axel, JOINT_SLIDER, x-32, y+35, 90);
tire2.j = create_joint(h, tire2.axel, JOINT_SLIDER, x+32, y+35, 90);
set_slider_limits(tire1.j, -5, 15);
set_slider_limits(tire2.j, -5, 15);

tire1.s = create_spring(h, tire1.axel, x-32, y, x-32, y+50, 100, 100, 150, 0);
tire2.s = create_spring(h, tire2.axel, x+32, y, x+32, y+50, 100, 100, 150, 0);

set_body_collide(h, tire1.h, false);
set_body_collide(h, tire2.h, false);
set_body_collide(h, tire1.axel, false);
set_body_collide(h, tire2.axel, false);



